<template>
    <div class="container">
        <table class="table is-fullwidth my-3">
            <thead class="is-dark">
                <tr>
                    <th>Door</th>
                    <th>Status</th>
                    <th>Timestamp</th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="(value, key) in doorStatus" :key="key">
                    <td>{{key}}</td>
                    <td>{{value.value}}</td>
                    <td>{{value.timestamp}}</td>
                </tr>
            </tbody>
        </table>
        <button class="button is-danger" @click="setLock">
            Lock
        </button>
        <button class="button is-success" @click="setLock(false)">
            Unlock
        </button>
    </div>
</template>

<script>
    import {VehicleService} from "../services";

    export default {
        name: "home",
        data() {
          return {
              doorStatus: false,
              interval: false
          }
        },
        methods: {
            async setLock(isLocked = true) {
                await VehicleService.setDoorLock(isLocked)
                await this.reload()
            },
            async reload() {
                let res = await VehicleService.getDoorStatus()
                this.doorStatus = res.data
            }
        },
        async mounted() {
            this.reload()
            this.interval = setInterval(function () {
                this.reload();
            }.bind(this),10000);
        },
        beforeUnmount() {
            clearInterval(this.interval)
        }
    }
</script>

<style scoped>

</style>
